// pages/selections.ts
const app = getApp()
import request from '../../utils/request'
import { scrollToID, keyWordsEnum } from '../../utils/util'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [
      {
        id: 0,
        imgUrl: "../../asset/image/Audi-RS7-item.png",
        name: "标题",
        detail: "简述简述简述"
      },
      {
        id: '1',
        imgUrl: "../../asset/image/Audi-RS7-item.png",
        name: "标题",
        detail: "简述简述简述"
      },
      {
        id: 2,
        imgUrl: "../../asset/image/Audi-RS7-item.png",
        name: "标题",
        detail: "简述简述简述"
      },
      {
        id: 3,
        imgUrl: "../../asset/image/Audi-RS7-item.png",
        name: "标题",
        detail: "简述简述简述"
      },
      {
        id: 4,
        imgUrl: "../../asset/image/Audi-RS7-item.png",
        name: "标题",
        detail: "简述简述简述"
      },
    ]
  },

  getList() {
    const that = this
    request.get({
      url: '/api/promote/list'
    }).then(res => {
      console.log(res, 'res');
      if (res.data) {
        that.setData({
          list: res.data
        })
      }
    }).catch(err => {
      console.log(err, 'err');
    })
  },

  goDetail(e) {
    const id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: `/pages/selectionDetail/selectionDetail?id=${id}`,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})